Security Enhanced Linux Reference Policy

# Layer: services

## Module: dovecot

Interfaces

### Description:

Dovecot POP and IMAP mail server

### Interfaces:

dovecot_admin( domain , role )

##### Summary

All of the rules required to administrate an dovecot environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the dovecot domain.

dovecot_domtrans_deliver( domain )

##### Summary

Execute dovecot_deliver in the dovecot_deliver domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dovecot_dontaudit_unlink_lib_files( domain )

##### Summary

Do not audit attempts to delete dovecot lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

dovecot_manage_spool( domain )

##### Summary

Create, read, write, and delete the dovecot spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dovecot_stream_connect_auth( domain )

##### Summary

Connect to dovecot auth unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return